> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini API

> Google Gemini generateContent APIs on Omniall AI.

# Gemini API

Native Gemini paths on Omniall AI:

| Action | Endpoint |
| - | - |
| Non-stream | `POST /v1beta/models/{model}:generateContent` |
| Stream | `POST /v1beta/models/{model}:streamGenerateContent` |

Auth: `Authorization: Bearer sk-...`, or `x-goog-api-key` / `?key=`.

Many Gemini models are also callable via OpenAI-compatible `POST /v1/chat/completions` when exposed that way in Model Square.

| Scenario | How |
| - | - |
| Text chat | `contents[].parts[].text` |
| Image understanding | `inlineData` (base64) parts |
| File analysis | `fileData.fileUri` or Chat `type: file` |
| Web / grounding | `tools: [{ "googleSearch": {} }]` when supported |
| Agent | `tools[].functionDeclarations` |
| Image generation | `generationConfig.responseModalities` includes `IMAGE` |
| Banana 2.1 reference gen | `gemini-nano-banana-2.1`; `inlineData` supports image / `application/pdf` / `video/mp4`; Chat uses `image_url` / `file` / `video_url` |
| Banana 2.1 Thinking | Native `generationConfig.thinkingConfig.thinkingLevel`; Chat `extra_body.google.thinking_config.thinking_level`; levels `minimal` / `medium` (default) / `high` |

Image details: [Gemini native format](/api-reference/endpoints/gemini-native-image), [Chat image generation](/api-reference/endpoints/gemini-chat-image).

Official docs: [generateContent](https://ai.google.dev/api/generate-content)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.